r"""kim-convergence package default values."""


_DEFAULT_ABS_TOL: float = 1e-18
_DEFAULT_REL_TOL: float = 1e-09
_DEFAULT_RELATIVE_HALF_WIDTH_ESTIMATE_ABS_TOL: float = 1e-06
_DEFAULT_CONFIDENCE_COEFFICIENT: float = 0.95
_DEFAULT_CONFIDENCE_INTERVAL_APPROXIMATION_METHOD: str = 'uncorrelated_sample'
_DEFAULT_EQUILIBRATION_LENGTH_ESTIMATE: int = 0
_DEFAULT_HEIDEL_WELCH_NUMBER_POINTS: int = 50
_DEFAULT_BATCH_SIZE: int = 5
_DEFAULT_FFT: bool = True
_DEFAULT_SCALE_METHOD: str = 'translate_scale'
_DEFAULT_WITH_CENTERING: bool = False
_DEFAULT_WITH_SCALING: bool = False
_DEFAULT_TEST_SIZE: None = None
_DEFAULT_TRAIN_SIZE: None = None
_DEFAULT_POPULATION_STANDARD_DEVIATION: None = None
_DEFAULT_SI: None = None
_DEFAULT_MINIMUM_CORRELATION_TIME: None = None
_DEFAULT_UNCORRELATED_SAMPLE_INDICES: None = None
_DEFAULT_SAMPLE_METHOD: None = None
_DEFAULT_IGNORE_END: None = None
_DEFAULT_NSKIP: int = 1
_DEFAULT_SEED: None = None
_DEFAULT_NUMBER_OF_CORES: int = 1
_DEFAULT_MIN_ABSOLUTE_ACCURACY: float = 1e-4

__all__ = [
    '_DEFAULT_ABS_TOL',
    '_DEFAULT_REL_TOL',
    '_DEFAULT_RELATIVE_HALF_WIDTH_ESTIMATE_ABS_TOL',
    '_DEFAULT_CONFIDENCE_COEFFICIENT',
    '_DEFAULT_CONFIDENCE_INTERVAL_APPROXIMATION_METHOD',
    '_DEFAULT_EQUILIBRATION_LENGTH_ESTIMATE',
    '_DEFAULT_HEIDEL_WELCH_NUMBER_POINTS',
    '_DEFAULT_BATCH_SIZE',
    '_DEFAULT_FFT',
    '_DEFAULT_SCALE_METHOD',
    '_DEFAULT_WITH_CENTERING',
    '_DEFAULT_WITH_SCALING',
    '_DEFAULT_TEST_SIZE',
    '_DEFAULT_TRAIN_SIZE',
    '_DEFAULT_POPULATION_STANDARD_DEVIATION',
    '_DEFAULT_SI',
    '_DEFAULT_MINIMUM_CORRELATION_TIME',
    '_DEFAULT_UNCORRELATED_SAMPLE_INDICES',
    '_DEFAULT_SAMPLE_METHOD',
    '_DEFAULT_IGNORE_END',
    '_DEFAULT_NSKIP',
    '_DEFAULT_SEED',
    '_DEFAULT_NUMBER_OF_CORES',
    '_DEFAULT_MIN_ABSOLUTE_ACCURACY',
]
